;
; ZX80DEF.INC
; include file with definitions and symbols used by Sinclair ZX80
; for FASMZ80 (flatassembler with Z80 instruction set)
;
; V1.1
;

; this definitions should not be changed

	NO	EQU	0
	YES	EQU	1
	NEWLINE EQU	$76	; character for NEWLINE
	SPACE	EQU	0	; character for SPACE

	MEM_1K	=1024
	MEM_2K	=2048
	MEM_4K	=4096
	MEM_8K	=8192
	MEM_16K =16384

	MEMST	EQU	16384	; begin of memory section of ZX81 (system variables)



; margin value for ZX81 (55 for PAL, 50Hz / 31 for NTSC, 60Hz)
;
	PAL  EQU 55
	NTSC EQU 31

