;
; ZX80VARS.INC
; include file with variables used by Sinclair ZX80
; for FASMZ80 (flatassembler with Z80 instruction set)
;
; V1.1
;

	ORG	MEMST

	ERR_NR	db -1		; error number $ff is no error
	FLAGS	db 88h		; flags of system
if defined AUTORUN
	NXTLIN	dw 0		; next line to be executed
else
	NXTLIN	dw 0		; next line to be executed
end if
		dw D_FILEADDR-1	; position in RAM of K or L cursor
	E_PPC	dw 0		; number of current line with cursor (in listing)
	VARS	dw VARS_ADDR	; begin of variable section in memory
	E_LINE	dw WORKSPACE	; address of workspace
	D_FILE	dw D_FILEADDR	; begin of D_FILE (display file) in memory
		dw STKBOT
		dw STKBOT
	DF_SZ	db 2		; no. of lines in lower part of screen including 1 blank line
	S_TOP	dw 0		; no. of top program line in automatic listings
	X_PTR	dw 0		; address of character preceeding "S" marker
	OLDPPC	dw 0		; line to jump when executing CONT (continue)
	FLAGX	db 0		; internal flags
	T_ADDR	dw 0		; next item in syntax (token) table
	SEED	dw 0		; seed variable set by RAND
	FRAMES	dw 0		; counter of frames sent to TV, used by PAUSE command
	DEST	dw 0		; address of variable in assignment
		dw	?
	DF_CC	dw 0		; current cursor position in D_FILE (used for print routine)
if defined AUTORUN
		dw 0
else
		dw 0		; next line to be executed
end if

BASIC_AREA:
