format zx81
;labelusenumeric
;LISTOFF

	// hardware options to be set and change defaults in ZX81DEF.INC
	MEMAVL	   =	   MEM_16K	   // can be MEM_1K, MEM_2K, MEM_4K, MEM_8K, MEM_16K, MEM_32K, MEM_48K
					   // default value is MEM_16K
	STARTMODE  EQU	   SLOW_MODE	   // SLOW or FAST
	DFILETYPE  EQU	   AUTO 	   // COLLAPSED or EXPANDED or AUTO
	STARTUPMSG EQU	  'CREATED WITH ZX81-IDE' // any message will be shown on screen after loading, max. 32 chars

	include 'SINCL-ZX\ZX81.INC'	   // definitions of constants
;LISTON

	AUTOLINE 10

	REM NUR EIN KLEINES TESTPROGRAMM
	REM '(C) by PokeMon'

30	REM _asm
	LD BC,label1
	RET
	END _asm

	PRINT USR #30#

	REM _asm
label1:
	OUT ($FD),A
.beton: IN ($FE),A
	JR .beton
label2:
	LD A,,'X'
	RST $10
	RET
	END _asm

AUTORUN:
	RAND USR #label2

	include 'SINCL-ZX\ZX81DISP.INC' 	 ; include D_FILE and needed memory areas
VARS_ADDR:
	VAR A=123
	VAR B=0
	VAR C=-88
	VAR D=1.2345E21
	VAR X$="SINCLAIR"
	VAR X(10,5)
	db 80h
WORKSPACE:

assert ($-MEMST)<MEMAVL
// end of program


